[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

Re: Help with RPM installation problem




rpm-list-bounces@xxxxxxxxxxxxx wrote on 09/16/2011 11:04:03 AM:

> rpm-list-bounces@xxxxxxxxxxxxx wrote on 09/16/2011 10:49:27 AM:
>
> > We are trying to install an rpm, RDEsvt-8.0.1.3-1.noarch and we are
> > recieving the following excerpt from rpm -ivv
> >
> > "package RDEsvt-8.1.0.0.4.0-1.noarch (which is newer than RDEsvt-8.
> > 0.1.3-1.noarch) is already installed."
> >
> > How is rpm detecting this and why if the versions of the rpms are in
> > different series does rpm think these are related.
>
> RPM just compares the versions-release per package name.  I'd have made
the
> same assumption on versioning. 8.1 is newer than 8.0.  Find the program
> 'rpmdev-vercmp', this will let you test out versions against each other
so
> you can see what its expected behavior is.  There isn't a lot of docs.
You
> can jsut run the command and it will prompt you.  If you don't know what
an
> Epoch is you probably aren't using one and can just hit enter when
prompted
> for one.
>
> > How do we get 8.0.1.3 (previous released baseline) installed with 8.
> > 1.0.0.4.0 (current test baseline) already on the system?
>
> rpm -ivh --oldpackage youpackage.rpm

Probably better off using rpm -Uvh, sorry.

> > Also please point to any documentation if available about this issue.
>
> `man rpm` search old


_______________________________________________
Rpm-list mailing list
Rpm-list@xxxxxxxxxxxxx
http://lists.rpm.org/mailman/listinfo/rpm-list


[Linux Kernel]     [Red Hat Install]     [PAM]     [Red Hat Watch List]     [Red Hat Development]     [Red Hat]     [Gimp]     [Yosemite News]     [IETF Discussion]